<?php
/* --------------------------------------------------------------
  InvoicePDFOrderExtender.inc.php 2014-08-07 tb@gambio
  Gambio GmbH
  http://www.gambio.de
  Copyright (c) 2014 Gambio GmbH
  Released under the GNU General Public License (Version 2)
  [http://www.gnu.org/licenses/gpl-2.0.html]
  --------------------------------------------------------------
 */

class InvoicePDFOrderExtender extends InvoicePDFOrderExtender_parent
{
	function proceed()
	{
		parent::proceed();
		
		$t_order_id = (int)$_GET['oID'];

		$t_invoices_files_array = glob(DIR_FS_CATALOG . 'export/invoice/' . $t_order_id . '_*.pdf');
		$t_packing_slips_files_array = glob(DIR_FS_CATALOG . 'export/packingslip/' . $t_order_id . '_*.pdf');
		
		?>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
			<tr>
				<td class="dataTableHeadingContent" style="width: 50%;">
					<?php echo INVOICE_CREATED; ?>
				</td>
				<td class="dataTableHeadingContent" style="width: 50%; border-right: 0px;">
					<?php echo PACKINGSLIP_CREATED; ?>
				</td>
			</tr>
		</table>
		<table border="0" width="100%" cellspacing="0" cellpadding="2" class="gm_border dataTableRow">
			<tr>
				<td width="51%" valign="top">
					<table border="0" width="100%" cellspacing="0" cellpadding="2" class="dataTableRow invoice">
						<?php
						if(is_array($t_invoices_files_array) && count($t_invoices_files_array) > 0)
						{
							foreach($t_invoices_files_array as $t_file)
							{
								$t_file_parts = explode('__', $t_file);					

								?>
								<tr class="invoice">
									<td class="smallText" width="150px" valign="top">
										<?php echo xtc_datetime_short($t_file_parts[2]); ?>
									</td>
									<td class="smallText" valign="top">
										<a href="request_port.php?module=Order&action=show_pdf&type=invoice&file=<?php echo basename($t_file); ?>" target="_blank"><?php echo BUTTON_SHOW; ?></a>
										/
										<a href="request_port.php?module=Order&action=download_pdf&type=invoice&file=<?php echo basename($t_file); ?>"><?php echo BUTTON_DOWNLOAD; ?></a>
										/
										<a href="#" rel="<?php echo basename($t_file); ?>" class="delete_pdf"><?php echo BUTTON_DELETE; ?></a>
									</td>
								</tr>
								<?php
							}
							?>
							<tr style="display: none;" class="invoice">
								<td class="smallText" valign="top">
									<?PHP echo NO_INVOICE_CREATED; ?>
								</td>
							</tr>
							<?php
						}
						else
						{
							?>
							<tr>
								<td class="smallText" valign="top">
									<?PHP echo NO_INVOICE_CREATED; ?>
								</td>
							</tr>
							<?php
						}
						?>
					</table>
				</td>
				<td width="49%" valign="top">
					<table border="0" width="100%" cellspacing="0" cellpadding="2" class="dataTableRow">
						<?php
						if(is_array($t_packing_slips_files_array) && count($t_packing_slips_files_array) > 0)
						{
							foreach($t_packing_slips_files_array as $t_file)
							{
								$t_file_parts = explode('_', $t_file);					

								?>
								<tr class="packingslip">
									<td class="smallText" width="150px" valign="top">
										<?php echo xtc_datetime_short($t_file_parts[2]); ?>
									</td>
									<td class="smallText" valign="top">
										<a href="request_port.php?module=Order&action=show_pdf&type=packingslip&file=<?php echo basename($t_file); ?>" target="_blank"><?php echo BUTTON_SHOW; ?></a>
										/
										<a href="request_port.php?module=Order&action=download_pdf&type=packingslip&file=<?php echo basename($t_file); ?>"><?php echo BUTTON_DOWNLOAD; ?></a>
										/
										<a href="#" rel="<?php echo basename($t_file); ?>" class="delete_pdf"><?php echo BUTTON_DELETE; ?></a>
									</td>
								</tr>
								<?php
							}
							?>
							<tr style="display: none;" class="packingslip">
								<td class="smallText" valign="top">
									<?PHP echo NO_PACKINGSLIP_CREATED; ?>
								</td>
							</tr>
							<?php
						}
						else
						{
							?>
							<tr>
								<td class="smallText" valign="top">
									<?PHP echo NO_PACKINGSLIP_CREATED; ?>
								</td>
							</tr>
							<?php
						}
						?>
					</table>
				</td>	
			</tr>


		</table>
		<script type="text/javascript" src="<?php echo DIR_WS_CATALOG; ?>gm_javascript.js.php?page=Section&section=OrderPDFDelete&globals=off&XTCsid=<?php echo xtc_session_id(); ?>"></script>
		<?php
	}
}